the selection cannot be run on any server解决办法

版权声明:本文为博主原创文章,遵循 CC 4.0 by-sa 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/weixin_42019223/article/details/80770181

有一次我导入了一个tomcat是7.0版本的文件(我的eclipse用的是8.0版本的),改了jar包后还是发现会出现

the selection cannot be run on any server,后来我就找到我的eclipse:D:\eclipse\workspace-jee\项目名称\.settings\org.eclipse.wst.common.project.facet.core.xml这个配置文件,把<runtime name="Apache Tomcat v7.0" />改为8.0就可以用了。

如果还出现了

Server Tomcat v7.0 Server at localhost failed to start.

那就把<installed facet="jst.web" version="2.5" />的version改为跟你的eclipse版本一致,假如版本是

 

3.1的那就改为3.1

展开阅读全文

没有更多推荐了,返回首页